Developers
API ReferenceContractor

Update contractor

PATCH
/crm/contractors/{id}

Update contractor

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

Contractor identifier

Request Body

The updated Contractor resource

  1. body
name?string
Lengthlength <= 120
fullName?|
Lengthlength <= 200
vatId?|
Lengthlength <= 20
paymentDays?int|null
description?|
Lengthlength <= 255
locations?array<>
tags?array<>
industryBranches?array<>
contactInfo?array<>
email?|
Lengthlength <= 255
accountingEmail?|
Lengthlength <= 255
phoneNumber?|
Lengthlength <= 20
validateVatId?boolean
Defaulttrue
customFieldValues?array<>

Response Body

Contractor resource updated

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 120
fullName?|
Lengthlength <= 200
pictureSm?|
Lengthlength <= 255
pictureLg?|
Lengthlength <= 255
vatId?|
Lengthlength <= 20
paymentDays?int|null
description?|
Lengthlength <= 255
locations?array<>
attendants?array<>
tags?array<>
industryBranches?array<>
contactInfo?array<>
email?|
Lengthlength <= 255
accountingEmail?|
Lengthlength <= 255
phoneNumber?|
Lengthlength <= 20
defaultLocation?|
Lengthlength <= 255
shortCode?string
Length6 <= length <= 6
canManage?boolean
Defaultfalse
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/crm/contractors/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "fullName": "string",  "pictureSm": "string",  "pictureLg": "string",  "vatId": "string",  "paymentDays": null,  "description": "string",  "locations": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "countryCode": "st",      "province": "string",      "district": "string",      "community": "string",      "street": "string",      "buildingNumber": "string",      "localNumber": "string",      "town": "string",      "zipCode": "string",      "isDefault": false    }  ],  "attendants": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "attendantId": "455e8778-8976-4b27-a381-e822a5c78121",      "firstName": "string",      "lastName": "string",      "email": "string",      "pictureSm": "string",      "pictureLg": "string",      "isExternal": false,      "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",      "contractorName": "string",      "canLogIn": false,      "phoneNumber": "string",      "jobPositionName": "string"    }  ],  "tags": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    }  ],  "industryBranches": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    }  ],  "contactInfo": [    {      "type": "string",      "value": "string",      "isDefault": true    }  ],  "email": "string",  "accountingEmail": "string",  "phoneNumber": "string",  "defaultLocation": "string",  "shortCode": "string",  "canManage": false}